org.modeshape.common.text

## Class ParsingException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.modeshape.common.text.ParsingException

- All Implemented Interfaces:
    Serializable
  Direct Known Subclasses:
    DdlParserProblem, TeiidDdlParsingException

      public class ParsingException
      extends RuntimeException

  An exception representing a problem during parsing of text.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ParsingException(Position position)`
    `ParsingException(Position position, String message)`
    `ParsingException(Position position, String message, Throwable cause)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Position` | `getPosition()`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ParsingException

          public ParsingException(Position position)

      Parameters:
        `position` - the position of the error; never null

    - #### ParsingException

          public ParsingException(Position position,
                          String message,
                          Throwable cause)

      Parameters:
        `position` - the position of the error; never null
        `message` - the message
        `cause` - the underlying cause

    - #### ParsingException

          public ParsingException(Position position,
                          String message)

      Parameters:
        `position` - the position of the error; never null
        `message` - the message

  - ### Method Detail

    - #### getPosition

          public Position getPosition()

      Returns:
        position

Copyright © 2008-2014 JBoss, a division of Red Hat. All Rights Reserved.